View a markdown version of this page

GetApplication - Account access manager

GetApplication

Retrieves details about an account access manager application, including its status, identity source, and tags.

Request Syntax

GET /applications/applicationArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

applicationArn

Specifies the ARN of the application to retrieve.

Length Constraints: Minimum length of 49. Maximum length of 2048.

Pattern: arn:[a-z0-9-]+:account-access:[a-z0-9]+(-[a-z0-9]+)*:[0-9]{12}:application/[a-zA-Z0-9-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": "string", "error": { "code": "string", "message": "string" }, "identitySource": { ... }, "status": "string", "tags": { "string" : "string" }, "tenantId": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The date and time when the application was created.

Type: Timestamp

error

The error details if the application is in a failed state.

Type: ErrorDetails object

identitySource

The identity source details for the application, including the IAM Identity Center instance configuration.

Type: IdentitySourceDetails object

Note: This object is a Union. Only one member of this object can be specified or returned.

status

The current status of the application.

Type: String

Valid Values: CREATE_IN_PROGRESS | ACTIVE | DELETE_IN_PROGRESS | CREATE_FAILED | DELETE_FAILED

tags

The tags associated with the application.

Type: String to string map

tenantId

The tenant identifier associated with the application.

Type: String

updatedAt

The date and time when the application was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this operation.

HTTP Status Code: 403

InternalServerException

An internal service error occurred. Try your request again later.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource does not exist. Verify that the resource identifier is correct and that the resource exists in the current Region.

HTTP Status Code: 404

ValidationException

The input does not satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: